/*
 * SparseGraph.h
 *
 *  Created on: 23.6.2011
 *      Author: hartman
 */

#ifndef SPARSEGRAPH_H_
#define SPARSEGRAPH_H_
#include <string>

using namespace std;

class SparseGraph {
public:
	SparseGraph(int* mat, int lsize);
	virtual ~SparseGraph();

	double betweeness(double* betweenessVector);
	double betweenessTest(double* betweenessVector);

private:
	int** neighs;
	int* degrees;
	int size;

	string to_s();

};

#endif /* SPARSEGRAPH_H_ */
