/*
 * StringOperations.h
 *
 *  Created on: 13.4.2011
 *      Author: hartman
 */

#ifndef STRINGOPERATIONS_H_
#define STRINGOPERATIONS_H_
#include <string>
#include <sstream>
#include <vector>

using namespace std;

#define NUM_SIZE 10

class StringOperations {
public:
	static vector<double>* readInterval(string line);
	static string formatOutputNumber(double num);
	static void trim(string &s);
	static string spaces(int num);
	static string triuStr(double* triumat, int size);
	static string triuStr(int* triumat, int size);
	static string triuVecStr(vector<double> triumat, int size);
	static string matStr(double* mat, int size);
	static string vecStr(double* mat, int size);
	static string matStr(int* mat, int size);
};

#endif /* STRINGOPERATIONS_H_ */
