function [ strg ] = ndw_strengths(A)
%% [ BC ] = ndw_betweenness_bin(A)
% Degrees of vertices of given weighted matrix.
%
% Parameters:
%       A ... weighted adjacency matrix
%
% Output:
%       strengths ... strengths = sum of weights of outgoing edges
%
% Author: David Hartman
%         hartman@cs.cas.cz
%%
    strg = sum(A);

end

