#include <stdio.h>
#include <iostream>
#include "NetworksFunctionsInterface.h"

using namespace std;

int main(int argc, char* argv[]) 
{
		//  --------------------------- SHARED LIBRARY CODE ---------------------------------
		double* d = new double[16];
		d[0]  = 0.0; d[1]  = 0.6; d[2]  = 0.5; d[3]  = 0.3;
		d[4]  = 0.6; d[5]  = 0.0; d[6]  = 0.9; d[7]  = 0.2;
		d[8]  = 0.5; d[9]  = 0.9; d[10] = 0.0; d[11] = 0.3;
		d[12] = 0.3; d[13] = 0.2; d[14] = 0.3; d[15] = 0.0;

		int indx = 0;
	 	for (int i = 0; i < 4; i++)
		{
		 	for (int j = 0; j < 4; j++)
			{
				cout << d[indx++] << "\t ";
			}
			cout << endl;
		}
		cout << endl;

		int compCount_bin, compCount_wei;
		double* CBw = betweenneess_weighted(d,4);
		double* CBb = betweenneess_binary(d,4,0.5);
		double* CCb = components_binary(d,4,0.6,compCount_bin);
		double* CCw = components_weighted(d,4,compCount_wei);

		cout << endl << "Betweenness binary:" << endl;
	 	for (int i = 0; i < 4; i++)
			cout << CBb[i] << " ";
		cout << endl;

		cout << endl << "Components binary:" << endl;
	 	for (int i = 0; i < compCount_bin; i++)
	 	{
		 	for (int j = 0; j < 4; j++)
		 	{
				cout << CCb[i*4 + j] << " ";
		 	}
		 	cout << endl;
	 	}
		cout << endl;

		cout << endl << "Components weighted:" << endl;
	 	for (int i = 0; i < compCount_wei; i++)
	 	{
		 	for (int j = 0; j < 4; j++)
		 	{
				cout << CCw[i*4 + j] << " ";
		 	}
		 	cout << endl;
	 	}
		cout << endl;


  	return 0;
}

