%% [ C ] = ndw_components( A, threshold )
% Components of given graph (matrix).
%
% Parameters:
%       A ... adjacency matrix, possibly weighted 
%       threshold ... it is possible to threshold a given matrix and
%                     compute non weighted version, however without
%                     threshold script works fine for any input matrix 
%                     (even those unweighted).
%
% Output:
%       C ... Components matrix [KxN] where K is number of components and N
%             number of nodes. Elements indicates whether a node n is in
%             component k.
%
% Algorithm:
%       Depth First Search
%
% Author: David Hartman
%         hartman@cs.cas.cz
%%



