%% [ D ] = ndw_distance( A, threshold )
% Distance matrix for a graph given by an adjacency matrix
%
% Parameters:
%       A ... adjacency matrix, possibly weighted 
%       threshold ... it is possible to threshold a given matrix and
%                     compute non weighted version, however without
%                     threshold script works fine for any input matrix 
%                     (even those unweighted).
%
% Output:
%       D ... Distance matrix
%
% Algorithm:
%       Floyd-Warshall
%
% Author: David Hartman
%         hartman@cs.cas.cz
%%



